## sqlitebrowser 1.3

=== Makefile ===
#############################################################################
# Makefile for building: sqlitedbbrowser
# Generated by qmake (1.07a) (Qt 3.3.5) on: Thu May  4 11:21:56 2006
# Project:  sqlitedbbrowser.pro
# Template: subdirs
# Command: $(QMAKE) -o Makefile sqlitedbbrowser.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
INSTALL_FILE= 
INSTALL_DIR = 
SUBTARGETS =	 \
		sub-sqlitebrowser-sqlite_source \
		sub-sqlitebrowser

first: all

all: Makefile $(SUBTARGETS)

sqlitebrowser/sqlite_source/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "sqlitebrowser/sqlite_source" || $(MKDIR) "sqlitebrowser/sqlite_source"
	cd sqlitebrowser/sqlite_source && $(QMAKE) sqlite_source.pro -o $(MAKEFILE)
sub-sqlitebrowser-sqlite_source: sqlitebrowser/sqlite_source/$(MAKEFILE) FORCE
	cd sqlitebrowser/sqlite_source && $(MAKE) -f $(MAKEFILE)

sqlitebrowser/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "sqlitebrowser" || $(MKDIR) "sqlitebrowser"
	cd sqlitebrowser && $(QMAKE) sqlitebrowser.pro -o $(MAKEFILE)
sub-sqlitebrowser: sqlitebrowser/$(MAKEFILE) FORCE
	cd sqlitebrowser && $(MAKE) -f $(MAKEFILE)

Makefile: sqlitedbbrowser.pro  /Developer/qt/mkspecs/default/qmake.conf 
	$(QMAKE) -o Makefile sqlitedbbrowser.pro
qmake: qmake_all
	@$(QMAKE) -o Makefile sqlitedbbrowser.pro

all: $(SUBTARGETS)
qmake_all: sqlitebrowser/sqlite_source/$(MAKEFILE) sqlitebrowser/$(MAKEFILE)
	 ( [ -d sqlitebrowser/sqlite_source ] && cd sqlitebrowser/sqlite_source ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d sqlitebrowser ] && cd sqlitebrowser ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d sqlitebrowser/sqlite_source ] && cd sqlitebrowser/sqlite_source ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d sqlitebrowser ] && cd sqlitebrowser ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d sqlitebrowser/sqlite_source ] && cd sqlitebrowser/sqlite_source ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d sqlitebrowser ] && cd sqlitebrowser ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d sqlitebrowser/sqlite_source ] && cd sqlitebrowser/sqlite_source ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d sqlitebrowser ] && cd sqlitebrowser ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d sqlitebrowser/sqlite_source ] && cd sqlitebrowser/sqlite_source ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d sqlitebrowser ] && cd sqlitebrowser ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:

## sqlitebrowser 2.0.0~beta1+ds.1

=== debian/changelog ===
sqlitebrowser (2.0.0~beta1+ds.1-3) unstable; urgency=low

  * Use current alioth urls for Vcs-Browser and Vcs-Git
  * Apply patch from Pablo Duboue to replace newlines with in the schema
    browser (Closes: #520345)
  * Update to debhelper 9
  * Update Standards-Version to 3.9.3.0, no changes
  * Add patch to fix qDebug() use in edittableform::renameTable()

 -- Arto Jantunen <viiru@debian.org>  Thu, 22 Mar 2012 20:42:40 +0200

sqlitebrowser (2.0.0~beta1+ds.1-2) unstable; urgency=low

  * Take over as maintainer
  * Apply patch from Grzegorz Bizon <grzesiek@ntsn.pl> to avoid segfaults when 
    the user cancels instead of choosing a name for a new db (Closes: #617680)
  * Add Vcs-Browser and Vcs-Git fields to control
  * Change Section to database to match override
  * Add patch to use QString::fromLocal8Bit when reading argv (Closes: #556649)
  * Update Debian packaging parts of debian/copyright

 -- Arto Jantunen <viiru@debian.org>  Thu, 19 May 2011 17:23:07 +0300

sqlitebrowser (2.0.0~beta1+ds.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #561643).
    - Based on Qt4 (Closes: #604586).
    - Fixes FTBFS of previous version (Closes: #551206).
  * Set Maintainer to Debian QA Group.
  * Change B-D to libqt4-dev and sqlite3-dev.
  * Add a patch to use sqlite3 provided by Debian.
  * Add a patch to initialize QStrings with an empty string instead of an
    integer, thus avoiding a FTBFS.
  * Bumped Standards-Version to 3.9.2. No changes required.
  * Switch to source format 3.0 (quilt).
  * Remove "Encoding" field in desktop file. Now it must be UTF-8.
  * Improve package description (Closes: #505458).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Wed, 27 Apr 2011 18:53:00 -0300

sqlitebrowser (1.3-2.3) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): Add quilt due to patch.
  * debian/rules:
    - Add quilt.
  * debian/patches
    - (number 10): Add patch to fix Gcc 4.4 error: conflicting types
      for getline (RC bug FTBFS serious; Closes: #552854).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 16 Jan 2010 18:13:19 +0200

sqlitebrowser (1.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * build against Debian libsqlite3. Wanting to use one or two internal
    functions is no excuse for embedding the whole thing.
    Closes: #441900

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 07 Oct 2008 22:17:48 +0200

sqlitebrowser (1.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applying patch by Thiemo Seufer to fix FTBFS on builds using sudo
  (Closes: #495100)
  * Fixing two minor lintian warnings:
    * adding call to dh_desktop to debian/rules
    * moving Homepage URL from Package description to proper frield in
      debian/control

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 07 Oct 2008 22:38:10 +0200

sqlitebrowser (1.3-2) unstable; urgency=low

  * source.lintian-overrides: added lintian overrides for CVS directories
  * sqlitebrowser.desktop: fixed category
  * menu: adhere to new the menu policy

 -- François Févotte <francois.fevotte@ensta.org>  Sat, 01 Sep 2007 14:51:34 +0200

sqlitebrowser (1.3-1) unstable; urgency=low

  * Initial release (Closes: #427080)

 -- François Févotte <francois.fevotte@ensta.org>  Sat, 04 Aug 2007 23:15:39 +0200

=== debian/control ===
Source: sqlitebrowser
Section: database
Priority: extra
Maintainer: Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper (>= 9), libqt4-dev, libsqlite3-dev
Standards-Version: 3.9.3.0
Homepage: http://sqlitebrowser.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sqlitebrowser.git
Vcs-Git: git://anonscm.debian.org/collab-maint/sqlitebrowser.git

Package: sqlitebrowser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI editor for SQLite databases
 SQLite Database Browser is a visual tool used to create, design and edit
 database files compatible with SQLite. Its interface is based on QT,
 and is meant to be used for users and developers that want to create
 databases, edit and search data using a familiar spreadsheet-like
 interface, without the need to learn complicated SQL commands.
 Controls and wizards are available for users to:
  - Create and compact database files
  - Create, define, modify and delete tables
  - Create, define and delete indexes
  - Browse, edit, add and delete records
  - Search records
  - Import and export records as text
  - Import and export tables from/to CSV files
  - Import and export databases from/to SQL dump files
  - Issue SQL queries and inspect the results
  - Examine a log of all SQL commands issued by the application
 .
 SQLite Database Browser is not a visual shell for the sqlite command line
 tool. It does not require familiarity with SQL commands.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

## sqlitebrowser 3.2.0

=== CMakeLists.txt ===
project(sqlitebrowser)
cmake_minimum_required(VERSION 2.8.9)

OPTION(USE_QT5 FALSE "Build with qt5")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

set(ANTLR_DIR libs/antlr-2.7.7)
set(QHEXEDIT_DIR libs/qhexedit)
set(QCUSTOMPLOT_DIR libs/qcustomplot-source)

add_subdirectory(${ANTLR_DIR})
add_subdirectory(${QHEXEDIT_DIR})
add_subdirectory(${QCUSTOMPLOT_DIR})

if(USE_QT5)
    find_package(Qt5Widgets REQUIRED)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
else()
    find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork REQUIRED)
    include(${QT_USE_FILE})
    add_definitions(${QT_DEFINITIONS})
endif()

set(SQLB_HDR
	src/gen_version.h
	src/sqlitedb.h
	src/sqlitetypes.h
	src/grammar/sqlite3TokenTypes.hpp
	src/grammar/Sqlite3Lexer.hpp
	src/grammar/Sqlite3Parser.hpp
)

set(SQLB_MOC_HDR
	src/AboutDialog.h
	src/CreateIndexDialog.h
	src/EditDialog.h
	src/EditTableDialog.h
	src/ExportCsvDialog.h
	src/ExtendedTableWidget.h
	src/FilterTableHeader.h
	src/ImportCsvDialog.h
	src/MainWindow.h
	src/PreferencesDialog.h
	src/SQLiteSyntaxHighlighter.h
	src/SqlExecutionArea.h
	src/VacuumDialog.h
	src/sqlitetablemodel.h
	src/sqltextedit.h
	src/DbStructureModel.h
	src/Application.h
)

set(SQLB_SRC
	src/AboutDialog.cpp
	src/CreateIndexDialog.cpp
	src/EditDialog.cpp
	src/EditTableDialog.cpp
	src/ExportCsvDialog.cpp
	src/ExtendedTableWidget.cpp
	src/FilterTableHeader.cpp
	src/ImportCsvDialog.cpp
	src/MainWindow.cpp
	src/PreferencesDialog.cpp
	src/SQLiteSyntaxHighlighter.cpp
	src/SqlExecutionArea.cpp
	src/VacuumDialog.cpp
	src/sqlitedb.cpp
	src/sqlitetablemodel.cpp
	src/sqlitetypes.cpp
	src/sqltextedit.cpp
	src/DbStructureModel.cpp
	src/grammar/Sqlite3Lexer.cpp
	src/grammar/Sqlite3Parser.cpp
	src/main.cpp
	src/Application.cpp
)

set(SQLB_FORMS
	src/AboutDialog.ui
	src/CreateIndexDialog.ui
	src/EditDialog.ui
	src/EditTableDialog.ui
	src/ExportCsvDialog.ui
	src/ImportCsvDialog.ui
	src/MainWindow.ui
	src/PreferencesDialog.ui
	src/SqlExecutionArea.ui
	src/VacuumDialog.ui
)

set(SQLB_RESOURCES
	src/icons/icons.qrc
)

if(USE_QT5)
    qt5_wrap_ui(SQLB_FORM_HDR ${SQLB_FORMS})
    qt5_add_resources(SQLB_RESOURCES_RCC ${SQLB_RESOURCES})
else()
    QT4_WRAP_CPP(SQLB_MOC ${SQLB_MOC_HDR})
    QT4_WRAP_UI(SQLB_FORM_HDR ${SQLB_FORMS})
    QT4_ADD_RESOURCES(SQLB_RESOURCES_RCC ${SQLB_RESOURCES})
endif()

# get git version hash
file(WRITE ${CMAKE_SOURCE_DIR}/src/gen_version.h
		 "#ifndef __GEN_VERSIONS_H__\n"
		 "#define __GEN_VERSIONS_H__\n"
		 "#define APP_VERSION \"3.2.0\"\n"
		 "#define MAJOR_VERSION 3\n"
		 "#define MINOR_VERSION 2\n"
		 "#define PATCH_VERSION 0\n"
		 "#endif")

#icon and correct libs/subsystem for windows
if(WIN32)
        #enable version check for windows
        add_definitions(-DCHECKNEWVERSION)

	IF( MINGW )
	# resource compilation for MinGW
		ADD_CUSTOM_COMMAND( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/sqlbicon.o
			COMMAND windres -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/src/winapp.rc -o ${CMAKE_CURRENT_BINARY_DIR}/sqlbicon.o )
		set(SQLB_SRC ${SQLB_SRC} ${CMAKE_CURRENT_BINARY_DIR}/sqlbicon.o)
		set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-subsystem,windows")
		set(WIN32_STATIC_LINK -Wl,-Bstatic -lssl -lcrypto -lws2_32)
		set(ADDITIONAL_LIBS lcms lzma)
	ELSE( MINGW )
		set(SQLB_SRC ${SQLB_SRC} ${CMAKE_CURRENT_SOURCE_DIR}src/winapp.rc)
	ENDIF( MINGW )
endif(WIN32)

# add extra library path for MacOS
if(APPLE)
	find_library(LIBSQLITE sqlite3 HINTS /usr/local/lib /usr/local/opt/sqlite/lib)
	set(ADDITIONAL_INCLUDE_PATHS /usr/local/include /usr/local/opt/sqlite/include)
else(APPLE)
	find_library(LIBSQLITE sqlite3)
endif(APPLE)

include_directories(
		${CMAKE_CURRENT_BINARY_DIR}
		${ANTLR_DIR}
		${QHEXEDIT_DIR}
		${QCUSTOMPLOT_DIR}
		${ADDITIONAL_INCLUDE_PATHS}
		src)

add_executable(${PROJECT_NAME}
		${SQLB_HDR}
		${SQLB_SRC}
		${SQLB_FORM_HDR}
		${SQLB_MOC}
		${SQLB_RESOURCES_RCC})

if(USE_QT5)
    qt5_use_modules(${PROJECT_NAME} Gui Widgets Network Test PrintSupport)
    set(QT_LIBRARIES "")
endif()
add_dependencies(${PROJECT_NAME} antlr qhexedit qcustomplot)

link_directories(
		${CMAKE_CURRENT_BINARY_DIR}/${ANTLR_DIR}
		${CMAKE_CURRENT_BINARY_DIR}/${QHEXEDIT_DIR}
		${CMAKE_CURRENT_BINARY_DIR}/${QCUSTOMPLOT_DIR})

target_link_libraries(${PROJECT_NAME}
		antlr
		qhexedit
		qcustomplot
		${QT_LIBRARIES}
		${WIN32_STATIC_LINK}
		${LIBSQLITE}
		${ADDITIONAL_LIBS})

install(TARGETS ${PROJECT_NAME}
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib)

#cpack
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Sqlite database browser UI")
set(CPACK_PACKAGE_VENDOR "oldsch00l")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION_MAJOR "3")
set(CPACK_PACKAGE_VERSION_MINOR "2")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "SqliteBrowser${CPACK_PACKAGE_VERSION_MAJOR}")
if(WIN32 AND NOT UNIX)
	# There is a bug in NSI that does not handle full unix paths properly. Make
	# sure there is at least one set of four (4) backlasshes.
	set(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}\\\\src\\\\iconwin.ico")
	set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\sqlitebrowser.exe")
	set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY}")
	set(CPACK_NSIS_HELP_LINK "https:\\\\\\\\github.com\\\\sqlitebrowser\\\\sqlitebrowser")
	set(CPACK_NSIS_URL_INFO_ABOUT "https:\\\\\\\\github.com\\\\sqlitebrowser\\\\sqlitebrowser")
	set(CPACK_NSIS_CONTACT "peinthor@gmail.com")
	set(CPACK_NSIS_MODIFY_PATH ON)
else(WIN32 AND NOT UNIX)
	set(CPACK_STRIP_FILES "bin/sqlitebrowser")
	set(CPACK_SOURCE_STRIP_FILES "")
endif(WIN32 AND NOT UNIX)
set(CPACK_PACKAGE_EXECUTABLES "sqlitebrowser" "SqliteBrowser")
include(CPack)

=== tests/CMakeLists.txt ===
project(sqlb-unittests)
cmake_minimum_required(VERSION 2.8.9)

OPTION(USE_QT5 FALSE "Build with qt5")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

set(ANTLR_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libs/antlr-2.7.7)
add_subdirectory(${ANTLR_DIR} ${CMAKE_CURRENT_BINARY_DIR}/antlr)

if(USE_QT5)
    find_package(Qt5Widgets REQUIRED)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
else()
    find_package(Qt4 COMPONENTS QtCore QtTest REQUIRED)
    include(${QT_USE_FILE})
    add_definitions(${QT_DEFINITIONS})
endif()

set(SQLB_SRC
	../src/sqlitetypes.cpp
	../src/grammar/Sqlite3Lexer.cpp
	../src/grammar/Sqlite3Parser.cpp
	../src/tests/testsqlobjects.cpp)

set(SQLB_HDR
	../src/grammar/sqlite3TokenTypes.hpp
	../src/grammar/Sqlite3Lexer.hpp
	../src/grammar/Sqlite3Parser.hpp
	../src/sqlitetypes.h)

set(SQLB_MOC_HDR
	../src/tests/testsqlobjects.h)

if(NOT USE_QT5)
    QT4_WRAP_CPP(SQLB_MOC ${SQLB_MOC_HDR})
endif()

include_directories(${ANTLR_DIR})

add_executable(${PROJECT_NAME} ${SQLB_MOC} ${SQLB_HDR} ${SQLB_SRC})

if(USE_QT5)
    qt5_use_modules(${PROJECT_NAME} Test)
    set(QT_LIBRARIES "")
endif()

add_dependencies(${PROJECT_NAME} antlr)
target_link_libraries(${PROJECT_NAME} antlr ${QT_LIBRARIES})

MESSAGE(STATUS "Build type is ${CMAKE_BUILD_TYPE}")

=== libs/qcustomplot-source/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)

if(USE_QT5)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
    find_package(Qt5Widgets REQUIRED)
else()
    find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
    include(${QT_USE_FILE})
    add_definitions(${QT_DEFINITIONS})
endif()

set(QCUSTOMPLOT_SRC
	qcustomplot.cpp
)

set(QCUSTOMPLOT_HDR
)

set(QCUSTOMPLOT_MOC_HDR
	qcustomplot.h
)

if(NOT USE_QT5)
    QT4_WRAP_CPP(QCUSTOMPLOT_MOC ${QCUSTOMPLOT_MOC_HDR})
endif()

add_library(qcustomplot ${QCUSTOMPLOT_SRC} ${QCUSTOMPLOT_HDR} ${QCUSTOMPLOT_MOC})

if(USE_QT5)
	qt5_use_modules(qcustomplot Widgets PrintSupport)
endif()

=== libs/qhexedit/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)

if(USE_QT5)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
    find_package(Qt5Widgets REQUIRED)
else()
    find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
    include(${QT_USE_FILE})
    add_definitions(${QT_DEFINITIONS})
endif()

set(QHEXEDIT_SRC
    src/commands.cpp
    src/qhexedit.cpp
    src/qhexedit_p.cpp
    src/xbytearray.cpp
)

set(QHEXEDIT_HDR
    src/commands.h
    src/xbytearray.h
)

set(QHEXEDIT_MOC_HDR
	src/qhexedit.h
	src/qhexedit_p.h
)

if(NOT USE_QT5)
    QT4_WRAP_CPP(QHEXEDIT_MOC ${QHEXEDIT_MOC_HDR})
endif()

add_library(qhexedit ${QHEXEDIT_SRC} ${QHEXEDIT_HDR} ${QHEXEDIT_MOC})

if(USE_QT5)
    qt5_use_modules(qhexedit Widgets)
endif()

=== debian/changelog ===
sqlitebrowser (3.2.0-1) unstable; urgency=medium

  * New upstream version (Closes: #749591)
  * Remove patches, superseded upstream
  * Update build-deps for new version, add cmake, libantlr-dev and
    libqcustomplot-dev
  * Apply patch to use external qcustomplot and antlr
  * Allow cmake to install the sqlitebrowser binary
  * Remove outdated README.source
  * Use the upstream desktop file and icon
  * Apply patch to change the desktop icon path
  * Update Standards-Version to 3.9.5.0, no changes
  * Update upstream homepage
  * Update copyright info to match current upstream
  * Build against Qt5 instead of Qt4

 -- Arto Jantunen <viiru@debian.org>  Fri, 25 Jul 2014 19:56:48 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: database
 Priority: extra
 Maintainer: Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev, libsqlite3-dev
-Standards-Version: 3.9.3.0
-Homepage: http://sqlitebrowser.sourceforge.net/
+Build-Depends: debhelper (>= 9), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, libqcustomplot-dev
+Standards-Version: 3.9.5.0
+Homepage: http://sqlitebrowser.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sqlitebrowser.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/sqlitebrowser.git

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@ --parallel 
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DUSE_QT5=True

## sqlitebrowser 3.5.1

=== CMakeLists.txt ===
project(sqlitebrowser)
cmake_minimum_required(VERSION 2.8.7)

OPTION(USE_QT5 FALSE "Build with qt5")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

set(ANTLR_DIR libs/antlr-2.7.7)
set(QHEXEDIT_DIR libs/qhexedit)
set(QCUSTOMPLOT_DIR libs/qcustomplot-source)

add_subdirectory(${ANTLR_DIR})
add_subdirectory(${QHEXEDIT_DIR})
add_subdirectory(${QCUSTOMPLOT_DIR})

if(USE_QT5)
	find_package(Qt5Widgets REQUIRED)
	find_package(Qt5LinguistTools REQUIRED)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
else()
    find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork REQUIRED)
    include("${QT_USE_FILE}")
    add_definitions(${QT_DEFINITIONS})
endif()

set(SQLB_HDR
	src/gen_version.h
	src/sqlitetypes.h
	src/csvparser.h
	src/sqlite.h
	src/grammar/sqlite3TokenTypes.hpp
	src/grammar/Sqlite3Lexer.hpp
	src/grammar/Sqlite3Parser.hpp
)

set(SQLB_MOC_HDR
	src/sqlitedb.h
	src/AboutDialog.h
	src/CreateIndexDialog.h
	src/EditDialog.h
	src/EditTableDialog.h
	src/ExportCsvDialog.h
	src/ExtendedTableWidget.h
	src/FilterTableHeader.h
	src/ImportCsvDialog.h
	src/MainWindow.h
	src/PreferencesDialog.h
	src/SQLiteSyntaxHighlighter.h
	src/SqlExecutionArea.h
	src/VacuumDialog.h
	src/sqlitetablemodel.h
	src/sqltextedit.h
	src/DbStructureModel.h
	src/Application.h
	src/CipherDialog.h
)

set(SQLB_SRC
	src/AboutDialog.cpp
	src/CreateIndexDialog.cpp
	src/EditDialog.cpp
	src/EditTableDialog.cpp
	src/ExportCsvDialog.cpp
	src/ExtendedTableWidget.cpp
	src/FilterTableHeader.cpp
	src/ImportCsvDialog.cpp
	src/MainWindow.cpp
	src/PreferencesDialog.cpp
	src/SQLiteSyntaxHighlighter.cpp
	src/SqlExecutionArea.cpp
	src/VacuumDialog.cpp
	src/sqlitedb.cpp
	src/sqlitetablemodel.cpp
	src/sqlitetypes.cpp
	src/sqltextedit.cpp
	src/csvparser.cpp
	src/DbStructureModel.cpp
	src/grammar/Sqlite3Lexer.cpp
	src/grammar/Sqlite3Parser.cpp
	src/main.cpp
	src/Application.cpp
	src/CipherDialog.cpp
)

set(SQLB_FORMS
	src/AboutDialog.ui
	src/CreateIndexDialog.ui
	src/EditDialog.ui
	src/EditTableDialog.ui
	src/ExportCsvDialog.ui
	src/ImportCsvDialog.ui
	src/MainWindow.ui
	src/PreferencesDialog.ui
	src/SqlExecutionArea.ui
	src/VacuumDialog.ui
	src/CipherDialog.ui
)

set(SQLB_RESOURCES
	src/icons/icons.qrc
)

set(SQLB_MISC
    src/grammar/sqlite3.g
)

# Translation files
set(SQLB_TSS
	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_zh.ts"
	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_de.ts"
	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_fr.ts"
	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_ru.ts"
)

if(USE_QT5)
    qt5_wrap_ui(SQLB_FORM_HDR ${SQLB_FORMS})
    qt5_add_resources(SQLB_RESOURCES_RCC ${SQLB_RESOURCES})
    if(SQLB_TSS)
        # add translations
        foreach(SQLB_TS ${SQLB_TSS})
            SET_SOURCE_FILES_PROPERTIES("${SQLB_TS}" PROPERTIES OUTPUT_LOCATION "${CMAKE_BINARY_DIR}/translations")
        endforeach(SQLB_TS ${SQLB_TSS})
        qt5_add_translation(SQLB_QMS ${SQLB_TSS})
    endif(SQLB_TSS)
else()
    QT4_WRAP_CPP(SQLB_MOC ${SQLB_MOC_HDR})
    QT4_WRAP_UI(SQLB_FORM_HDR ${SQLB_FORMS})
    QT4_ADD_RESOURCES(SQLB_RESOURCES_RCC ${SQLB_RESOURCES})
    if(SQLB_TSS)
        # add translations
        foreach(SQLB_TS ${SQLB_TSS})
            SET_SOURCE_FILES_PROPERTIES("${SQLB_TS}" PROPERTIES OUTPUT_LOCATION "${CMAKE_BINARY_DIR}/translations")
        endforeach(SQLB_TS ${SQLB_TSS})
        QT4_ADD_TRANSLATION(SQLB_QMS ${SQLB_TSS})
    endif(SQLB_TSS)
endif()

set(gv "${CMAKE_SOURCE_DIR}/src/gen_version.h")

file(WRITE "${gv}"
	 "#ifndef GEN_VERSION_H\n"
	 "#define GEN_VERSION_H\n"
	 "#define APP_VERSION \"3.5.1\"\n"
	 "#define MAJOR_VERSION 3\n"
	 "#define MINOR_VERSION 5\n"
	 "#define PATCH_VERSION 1\n"
	 "#endif\n")

#icon and correct libs/subsystem for windows
if(WIN32)
        #enable version check for windows
        add_definitions(-DCHECKNEWVERSION)

	IF( MINGW )
	# resource compilation for MinGW
		ADD_CUSTOM_COMMAND(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/sqlbicon.o"
			COMMAND windres "-I${CMAKE_CURRENT_SOURCE_DIR}" "-i${CMAKE_CURRENT_SOURCE_DIR}/src/winapp.rc" -o "${CMAKE_CURRENT_BINARY_DIR}/sqlbicon.o" VERBATIM)
		set(SQLB_SRC ${SQLB_SRC} "${CMAKE_CURRENT_BINARY_DIR}/sqlbicon.o")
		set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-subsystem,windows")
		set(WIN32_STATIC_LINK -Wl,-Bstatic -lssl -lcrypto -lws2_32)
		set(ADDITIONAL_LIBS lcms lzma)
	ELSE( MINGW )
		set(SQLB_SRC ${SQLB_SRC} "${CMAKE_CURRENT_SOURCE_DIR}src/winapp.rc")
	ENDIF( MINGW )
endif(WIN32)

#enable version check for MacOS
if(APPLE)
	add_definitions(-DCHECKNEWVERSION)
endif(APPLE)

# SQLCipher option
if(sqlcipher)
	add_definitions(-DENABLE_SQLCIPHER)
	set(LIBSQLITE_NAME sqlcipher)
else(sqlcipher)
	set(LIBSQLITE_NAME sqlite3)
endif(sqlcipher)

# add extra library path for MacOS and FreeBSD
set(EXTRAPATH APPLE OR ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
if(EXTRAPATH) 
	find_library(LIBSQLITE ${LIBSQLITE_NAME} HINTS /usr/local/lib /usr/local/opt/sqlite/lib)
	set(ADDITIONAL_INCLUDE_PATHS /usr/local/include /usr/local/opt/sqlite/include)
else(EXTRAPATH)
	find_library(LIBSQLITE ${LIBSQLITE_NAME})
endif(EXTRAPATH)

include_directories(
		"${CMAKE_CURRENT_BINARY_DIR}"
		${ANTLR_DIR}
		${QHEXEDIT_DIR}
		${QCUSTOMPLOT_DIR}
		${ADDITIONAL_INCLUDE_PATHS}
		src)

add_executable(${PROJECT_NAME}
		${SQLB_HDR}
		${SQLB_SRC}
		${SQLB_FORM_HDR}
		${SQLB_MOC}
		${SQLB_RESOURCES_RCC}
                ${SQLB_QMS}
                ${SQLB_MISC})

if(USE_QT5)
    qt5_use_modules(${PROJECT_NAME} Gui Widgets Network Test PrintSupport)
    set(QT_LIBRARIES "")
endif()
add_dependencies(${PROJECT_NAME} antlr qhexedit qcustomplot)

link_directories(
		"${CMAKE_CURRENT_BINARY_DIR}/${ANTLR_DIR}"
		"${CMAKE_CURRENT_BINARY_DIR}/${QHEXEDIT_DIR}"
		"${CMAKE_CURRENT_BINARY_DIR}/${QCUSTOMPLOT_DIR}")

target_link_libraries(${PROJECT_NAME}
		antlr
		qhexedit
		qcustomplot
		${QT_LIBRARIES}
		${WIN32_STATIC_LINK}
		${LIBSQLITE}
		${ADDITIONAL_LIBS})

install(TARGETS ${PROJECT_NAME}
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib)
	
if(UNIX AND NOT APPLE)
install(FILES src/icons/${PROJECT_NAME}.png
	DESTINATION share/icons/hicolor/256x256/apps/)
	
install(FILES distri/${PROJECT_NAME}.desktop
	DESTINATION share/applications/)
endif(UNIX AND NOT APPLE)

#cpack
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "DB Browser for SQLite")
set(CPACK_PACKAGE_VENDOR "oldsch00l")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION_MAJOR "3")
set(CPACK_PACKAGE_VERSION_MINOR "5")
set(CPACK_PACKAGE_VERSION_PATCH "1")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "SqliteBrowser${CPACK_PACKAGE_VERSION_MAJOR}")
if(WIN32 AND NOT UNIX)
	# There is a bug in NSI that does not handle full unix paths properly. Make
	# sure there is at least one set of four (4) backlasshes.
	set(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}\\\\src\\\\iconwin.ico")
	set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\sqlitebrowser.exe")
	set(CPACK_NSIS_DISPLAY_NAME "DB Browser for SQLite")
	set(CPACK_NSIS_HELP_LINK "https:\\\\\\\\github.com\\\\sqlitebrowser\\\\sqlitebrowser")
	set(CPACK_NSIS_URL_INFO_ABOUT "https:\\\\\\\\github.com\\\\sqlitebrowser\\\\sqlitebrowser")
	set(CPACK_NSIS_CONTACT "peinthor@gmail.com")
	set(CPACK_NSIS_MODIFY_PATH OFF)
	set(CPACK_NSIS_MUI_FINISHPAGE_RUN "sqlitebrowser.exe")
else(WIN32 AND NOT UNIX)
	set(CPACK_STRIP_FILES "bin/sqlitebrowser")
	set(CPACK_SOURCE_STRIP_FILES "")
endif(WIN32 AND NOT UNIX)
set(CPACK_PACKAGE_EXECUTABLES "sqlitebrowser" "SqliteBrowser")
include(CPack)

=== tests/CMakeLists.txt ===
project(sqlb-unittests)
cmake_minimum_required(VERSION 2.8.7)

OPTION(USE_QT5 FALSE "Build with qt5")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

set(ANTLR_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../libs/antlr-2.7.7")
add_subdirectory("${ANTLR_DIR}" "${CMAKE_CURRENT_BINARY_DIR}/antlr")

if(USE_QT5)
    find_package(Qt5Widgets REQUIRED)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
else()
    find_package(Qt4 COMPONENTS QtCore QtTest QtGui REQUIRED)
    include("${QT_USE_FILE}")
    add_definitions(${QT_DEFINITIONS})
endif()

# add extra library path for MacOS
if(APPLE)
    find_library(LIBSQLITE sqlite3 HINTS /usr/local/lib /usr/local/opt/sqlite/lib)
    set(ADDITIONAL_INCLUDE_PATHS /usr/local/include /usr/local/opt/sqlite/include)
else(APPLE)
    find_library(LIBSQLITE sqlite3)
endif(APPLE)

set(SQLB_SRC
	../src/sqlitedb.cpp
	../src/sqlitetablemodel.cpp
	../src/sqlitetypes.cpp
    ../src/csvparser.cpp
	../src/grammar/Sqlite3Lexer.cpp
	../src/grammar/Sqlite3Parser.cpp
	../src/tests/TestImport.cpp
	../src/tests/testsqlobjects.cpp
	../src/tests/TestMain.cpp)

set(SQLB_HDR
	../src/grammar/sqlite3TokenTypes.hpp
	../src/grammar/Sqlite3Lexer.hpp
	../src/grammar/Sqlite3Parser.hpp
    ../src/csvparser.h
	../src/sqlitetypes.h)

set(SQLB_MOC_HDR
	../src/sqlitedb.h
	../src/sqlitetablemodel.h
	../src/tests/TestImport.h
	../src/tests/testsqlobjects.h)

if(NOT USE_QT5)
    QT4_WRAP_CPP(SQLB_MOC ${SQLB_MOC_HDR})
endif()

include_directories("${ANTLR_DIR}" ../src)

add_executable(${PROJECT_NAME} ${SQLB_MOC} ${SQLB_HDR} ${SQLB_SRC})

if(USE_QT5)
    qt5_use_modules(${PROJECT_NAME} Test Widgets Gui)
    set(QT_LIBRARIES "")
endif()

add_dependencies(${PROJECT_NAME} antlr)
target_link_libraries(${PROJECT_NAME} antlr ${QT_LIBRARIES} ${LIBSQLITE})

MESSAGE(STATUS "Build type is ${CMAKE_BUILD_TYPE}")

=== libs/qhexedit/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 2.8.7)
 
 if(USE_QT5)
     set(CMAKE_AUTOMOC ON)
@@ -6,7 +6,7 @@
     find_package(Qt5Widgets REQUIRED)
 else()
     find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
-    include(${QT_USE_FILE})
+    include("${QT_USE_FILE}")
     add_definitions(${QT_DEFINITIONS})
 endif()

=== debian/changelog ===
sqlitebrowser (3.5.1-3build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:55:10 +0000

sqlitebrowser (3.5.1-3) unstable; urgency=medium

  * Set LC_ALL instead of LANG when running tests (Closes: #787679)

 -- Arto Jantunen <viiru@debian.org>  Fri, 05 Jun 2015 21:42:03 +0300

sqlitebrowser (3.5.1-2) unstable; urgency=medium

  * The "Yay Jessie!" release
  * Upload to unstable

 -- Arto Jantunen <viiru@debian.org>  Sun, 26 Apr 2015 12:10:15 +0300

sqlitebrowser (3.5.1-1) experimental; urgency=medium

  * New upstream version
  * Remove patch 0002, included upstream
  * Refresh patch 0001

 -- Arto Jantunen <viiru@debian.org>  Sun, 15 Mar 2015 19:59:55 +0200

sqlitebrowser (3.4.0-2) experimental; urgency=medium

  * Apply patch from upstream to fix TestImport QCoreApplication
    parameters

 -- Arto Jantunen <viiru@debian.org>  Tue, 20 Jan 2015 17:55:09 +0200

sqlitebrowser (3.4.0-1) experimental; urgency=medium

  * New upstream version
  * Rebase patches to fit the new version
  * Add build-dep on qttools5-dev and qttools5-dev-tools
  * Run post-build tests (Closes: #770604)
  * Use system antlr for the tests as well
  * Bump Standards-Version to 3.9.6.0, no changes

 -- Arto Jantunen <viiru@debian.org>  Fri, 16 Jan 2015 19:13:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: database
 Priority: extra
 Maintainer: Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, libqcustomplot-dev
-Standards-Version: 3.9.5.0
+Build-Depends: debhelper (>= 9), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, libqcustomplot-dev, qttools5-dev, qttools5-dev-tools
+Standards-Version: 3.9.6.0
 Homepage: http://sqlitebrowser.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sqlitebrowser.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/sqlitebrowser.git

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,22 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DUSE_QT5=True
+
+override_dh_clean:
+	[ ! -f tests/Makefile ] || $(MAKE) -C tests clean
+	$(RM) -rv \
+		tests/CMakeCache.txt \
+		tests/moc_TestImport.cpp \
+		tests/moc_sqlitedb.cpp \
+		tests/moc_sqlitetablemodel.cpp \
+		tests/moc_testsqlobjects.cpp \
+		tests/CMakeFiles/ \
+		tests/Makefile \
+		tests/antlr/ \
+		tests/cmake_install.cmake
+	dh_clean
+
+override_dh_auto_test:
+	cd tests && cmake . -DUSE_QT5=True
+	$(MAKE) -C tests
+	cd tests && LC_ALL=C.UTF-8 ./sqlb-unittests
